StaticLibraryBinarySpec (Gradle API 9.7.0)
Description: declaration: package: org.gradle.nativeplatform, interface: StaticLibraryBinarySpec

# Interface StaticLibraryBinarySpec

All Superinterfaces:
  `Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, LibraryBinarySpec, ModelElement, Named, NativeBinarySpec, NativeLibraryBinarySpec`

@Incubating @Deprecated public interface StaticLibraryBinarySpec extends NativeLibraryBinarySpec
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
A static library binary built by Gradle for a native library.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `StaticLibraryBinarySpec.TasksCollection`
  Deprecated.
  Provides access to key tasks used for building the binary.

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `additionalLinkFiles(FileCollection files)`
  Deprecated.
  Add some additional files required by consumers of this library at link time.
  `File`
  `getStaticLibraryFile()`
  Deprecated.
  The static library file.
  `StaticLibraryBinarySpec.TasksCollection`
  `getTasks()`
  Deprecated.
  The set of tasks associated with this binary.
  `void`
  `setStaticLibraryFile(File staticLibraryFile)`
  Deprecated.
  The static library binary file.

  ### Methods inherited from interface Binary

  `getDisplayName`

  ### Methods inherited from interface BinarySpec

  `getInputs, getSources, isBuildable`

  ### Methods inherited from interface Buildable

  `getBuildDependencies`

  ### Methods inherited from interface BuildableComponentSpec

  `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

  ### Methods inherited from interface CheckableComponentSpec

  `checkedBy, getCheckTask, setCheckTask`

  ### Methods inherited from interface ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface ModelElement

  `getDisplayName, getName`

  ### Methods inherited from interface NativeBinarySpec

  `getAssembler, getBuildType, getcCompiler, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

  ### Methods inherited from interface NativeLibraryBinarySpec

  `getComponent, getLibrary`

- ## Method Details

  - ### getStaticLibraryFile

    File getStaticLibraryFile()
    Deprecated.
    The static library file.

  - ### setStaticLibraryFile

    void setStaticLibraryFile(File staticLibraryFile)
    Deprecated.
    The static library binary file.

  - ### additionalLinkFiles

    void additionalLinkFiles(FileCollection files)
    Deprecated.
    Add some additional files required by consumers of this library at link time.

  - ### getTasks

    StaticLibraryBinarySpec.TasksCollection getTasks()
    Deprecated.
    The set of tasks associated with this binary.
    Specified by:
      `getTasks` in interface `BinarySpec`